cURL
curl "https://api.ionq.co/v0.4/jobs/e1a09d90-b2ba-4ea5-9fd7-4bfc14eac524/artifacts/3fa85f64-5717-4562-b3fc-2c963f66afa6" \
-H "Authorization: apiKey your-api-key"import requests
url = "https://api.ionq.co/v0.4/jobs/{UUID}/artifacts/{artifactId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.ionq.co/v0.4/jobs/{UUID}/artifacts/{artifactId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Jobs
Download a job artifact.
Download an artifact associated with a specific job.
GET
/
jobs
/
{UUID}
/
artifacts
/
{artifactId}
cURL
curl "https://api.ionq.co/v0.4/jobs/e1a09d90-b2ba-4ea5-9fd7-4bfc14eac524/artifacts/3fa85f64-5717-4562-b3fc-2c963f66afa6" \
-H "Authorization: apiKey your-api-key"import requests
url = "https://api.ionq.co/v0.4/jobs/{UUID}/artifacts/{artifactId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.ionq.co/v0.4/jobs/{UUID}/artifacts/{artifactId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Download an artifact associated with a specific job using its unique identifier and the artifact’s ID.
Authorizations
API keys are associated with a user and can be created on the IonQ Quantum Cloud application. To authenticate, prefix your API Key with apiKey and place it in the Authorization request header. Ex: Authorization: apiKey your-api-key
Response
Artifact contents.
Was this page helpful?
⌘I

